Last Comment Bug 883532 - convert uses of nsIDocShellHistory in comm-central
: convert uses of nsIDocShellHistory in comm-central
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- major (vote)
: Thunderbird 24.0
Assigned To: :aceman
:
Mentors:
Depends on: 882079
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-15 08:44 PDT by :aceman
Modified: 2013-06-25 05:23 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.90 KB, patch)
2013-06-15 08:48 PDT, :aceman
standard8: review+
neil: review+
Details | Diff | Splinter Review

Description :aceman 2013-06-15 08:44:52 PDT
I get this permanent exception when starting Thunderbird:

Error: Places database may be locked: [Exception... "Could not convert JavaScript argument arg 0 [nsISupports.QueryInterface]"  nsresult: "0x80570009 (NS_ERROR_XPC_BAD_CONVERT_JS)"  location: "JS frame :: chrome://messenger/content/specialTabs.js :: specialTabs.openSpecialTabsOnStartup :: line 482"  data: no]
Source file: chrome://messenger/content/specialTabs.js
Line: 485

That is this code:
// enable global history
try {
  browser.docShell.QueryInterface(Components.interfaces.nsIDocShellHistory)
         .useGlobalHistory = true;
} catch(ex) {
  Components.utils.reportError("Places database may be locked: " + ex);
}

nsIDocShellHistory was merged into nsIDocShell in bug 882079.

There is also one occurrence in Seamonkey at http://mxr.mozilla.org/comm-central/source/suite/common/src/nsSuiteGlue.js#200
Comment 1 :aceman 2013-06-15 08:48:41 PDT
Created attachment 763113 [details] [diff] [review]
patch

The TB part was tested and no longer produces the exception. I did not test what the feature actually enables, but the conversion pattern is the same as in bug 882079.

The Seamonkey part is untested.
Comment 2 Ryan VanderMeulen [:RyanVM] 2013-06-18 08:39:53 PDT
https://hg.mozilla.org/comm-central/rev/5291452fffc9

Note You need to log in before you can comment on or make changes to this bug.